---
- name: Start ONAP test
  ansible.builtin.fail:
    msg: "At least the name or a test category must be
         specified to us the ONAP testing collection"
  when: onap_testing_test_name is not defined and
        onap_testing_category is not defined

- name: Run single test
  ansible.builtin.include_tasks:
    run_single_test.yaml
  when: onap_testing_test_name is defined

- name: Run a category test
  ansible.builtin.include_tasks:
    run_category.yaml
  when: onap_testing_category is defined
